﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace StoreManager.Common.U_DataView
{
    public class U_ReportCategoryList : UC_BaseList<U_ReportCategory, U_ReportCategoryCmpType>
    {
        public U_ReportCategoryList(int PageSize)
            : base(PageSize)
        {
            this.sortType = U_ReportCategoryCmpType.None;
        }

        //public void UpdateSupplier(StoreServer.VO.Common.SupplierProfileVO supplier, string status)
        //{
        //    for (int i = 0; i < this.itemList.Count; i++)
        //    {
        //        if (this.itemList[i].ID == supplier.supplierID)
        //        {
        //            U_Supplier supp = new U_Supplier(supplier, status);
        //            this.itemList[i] = supp;
        //            break;
        //        }
        //    }
        //}
        public void AddCat(string plu, string name, string item_count, decimal item_sold, decimal item_return, string status, string countable)
        {
            U_ReportCategory rcCat = new U_ReportCategory(plu,name,item_count, item_sold, item_return, status, countable);

            this.itemList.Add(rcCat);

        }
        public void Sort(U_ReportCategoryCmpType sType, SortOrder sOrder)
        {
            U_ReportCategoryCmp comparer = new U_ReportCategoryCmp(sType, sOrder);
            this.itemList.Sort(comparer);
            this.sortType = sType;
            this.sortOrder = sOrder;
        }


    }
}

